Bug 74793 - gcc Internal compiler error in assign_stack_temp_for_type, at function.c:670
gcc Internal compiler error in assign_stack_temp_for_type, at function.c:670
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 14:43 EDT by Nikhil Sama
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 18:11:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikhil Sama 2002-10-01 14:43:15 EDT
Description of Problem:


Version-Release number of selected component (if applicable):

nikhil@SpaceInvader ~/junk > g++ -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)

How Reproducible:


Steps to Reproduce:
1. compile the program 
#include <iostream> 
#include <vector>

class a {
 public:
  a() {
  cout << "creating" << endl; 
  }

  ~a() {
    cout << "destroying" << endl; 
  }

  void print () {
    cout << "print :-)" << endl; 
  }

  int b[1000000000];
};

main ()
{

  a j[500000]; 

  j[0].print();
}

with g++ -g <filename.cc> 

2. 
3. 

Actual Results:
g++ -g a.cc
a.cc: In function `int main ()':
a.cc:24: Internal compiler error in assign_stack_temp_for_type, at 
function.c:670
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Compilation exited abnormally with code 1 at Tue Oct  1 11:26:58


Expected Results:


Additional Information:
Comment 1 Alan Cox 2002-12-15 18:11:03 EST
Handled ok by g++ 2.3 / 8.0

Note You need to log in before you can comment on or make changes to this bug.